低危 CUPS Web Interface本地权限提升漏洞(CNVD-2014-04712)

CVE编号

CVE-2014-5030

利用情况

暂无

补丁情况

官方补丁

披露时间

2014-07-30
漏洞描述
Common Unix Printing System (CUPS)是一款通用Unix打印系统,是Unix环境下的跨平台打印解决方案,基于Internet打印协议,提供大多数PostScript和raster打印.

CUPS Web Interface存在本地权限提升漏洞,允许攻击者利用漏洞进行符号链接攻击,可覆盖受影响的应用程序上下文中的任意文件。
解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
http://www.cups.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apple cups * Up to
(including)
1.7.4
运行在以下环境
应用 apple cups 1.7 -
运行在以下环境
应用 apple cups 1.7.0 -
运行在以下环境
应用 apple cups 1.7.1 -
运行在以下环境
应用 apple cups 1.7.2 -
运行在以下环境
应用 apple cups 1.7.3 -
运行在以下环境
系统 amazon linux_AMI cups * Up to
(excluding)
1.4.2-67.20.al12
运行在以下环境
系统 amazon_AMI cups * Up to
(excluding)
1.4.2-67.20.al12
运行在以下环境
系统 canonical ubuntu_linux 10.04 -
运行在以下环境
系统 canonical ubuntu_linux 12.04 -
运行在以下环境
系统 canonical ubuntu_linux 14.04 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
1.7.4-2
运行在以下环境
系统 debian_6 cups * Up to
(excluding)
1.4.4-7+squeeze6
运行在以下环境
系统 debian_7 cups * Up to
(excluding)
1.5.3-5+deb7u4
运行在以下环境
系统 oracle linux_6 cups * Up to
(excluding)
1.4.2-67.el6
运行在以下环境
系统 oracle_6 cups * Up to
(excluding)
1.4.2-67.el6
运行在以下环境
系统 redhat_6 cups * Up to
(excluding)
1:1.4.2-67.el6
运行在以下环境
系统 redhat_7 cups * Up to
(excluding)
1:1.6.3-17.el7
运行在以下环境
系统 sles_11_SP3 cups * Up to
(excluding)
1.3.9-8.46.52.2
运行在以下环境
系统 sles_12 cups * Up to
(excluding)
1.7.5-2
运行在以下环境
系统 suse_11_SP3 cups * Up to
(excluding)
1.3.9-8.46.52.2
运行在以下环境
系统 ubuntu_12.04_lts cups * Up to
(excluding)
1.5.3-0ubuntu8.5
运行在以下环境
系统 ubuntu_14.04_lts cups * Up to
(excluding)
1.7.2-0ubuntu1.2
阿里云评分
2.3
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    -
CWE-ID 漏洞类型
CWE-59 在文件访问前对链接解析不恰当(链接跟随)
阿里云安全产品覆盖情况